const rateLimit = require("express-rate-limit");

const apiLimiter = (timeMin, request) =>
  rateLimit({
    windowMs: timeMin * 60 * 1000, // 15 minutes
    max: request, // Limit each IP to 100 requests per `window` (here, per 15 minutes)
    standardHeaders: true, // Return rate limit info in the `RateLimit-*` headers
    legacyHeaders: false, // Disable the `X-RateLimit-*` headers
  });

module.exports = apiLimiter;
